# bsd_disklabel::partition Struct Reference

`#include <hd.h>`

## Data Fields

u_int16_t | p_cpg
u_int8_t | p_frag
u_int32_t | p_fsize
u_int8_t | p_fstype
u_int32_t | p_offset
u_int32_t | p_size

## Detailed Description

Definition at line 151 of file hd.h.

## Field Documentation

u_int16_t bsd_disklabel::partition::p_cpg

Definition at line 157 of file hd.h.

u_int8_t bsd_disklabel::partition::p_frag

Definition at line 156 of file hd.h.

u_int32_t bsd_disklabel::partition::p_fsize

Definition at line 154 of file hd.h.

u_int8_t bsd_disklabel::partition::p_fstype

Definition at line 155 of file hd.h.

Referenced by initHardDisk().

u_int32_t bsd_disklabel::partition::p_offset

Definition at line 153 of file hd.h.

Referenced by initHardDisk().

u_int32_t bsd_disklabel::partition::p_size

Definition at line 152 of file hd.h.

Referenced by initHardDisk().

The documentation for this struct was generated from the following file:

- src/sys/include/pci/hd.h